summaryrefslogtreecommitdiffstats
path: root/scripts/pacman-key.sh.in
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/pacman-key.sh.in')
-rw-r--r--scripts/pacman-key.sh.in2
1 files changed, 1 insertions, 1 deletions
diff --git a/scripts/pacman-key.sh.in b/scripts/pacman-key.sh.in
index 9a77a19f..1a2bac34 100644
--- a/scripts/pacman-key.sh.in
+++ b/scripts/pacman-key.sh.in
@@ -441,7 +441,7 @@ refresh_keys() {
verify_sig() {
local fd="$(mktemp)"
"${GPG_PACMAN[@]}" --status-file "${fd}" --verify $SIGNATURE
- if ! grep -q TRUST_FULLY "${fd}"; then
+ if ! grep -qE 'TRUST_(FULLY|ULTIMATE)' "${fd}"; then
rm -f "${fd}"
error "$(gettext "The signature identified by %s could not be verified.")" "$SIGNATURE"
exit 1